<template>
  <v-row justify="center">
    <v-dialog
      v-model="dialog"
      persistent
      max-width="550"
    >
      <template v-slot:activator="{ on, attrs }">
        <v-btn
          color="primary"
          v-bind="attrs"
          v-on="on"
          raised small
          :disabled="test.pivot.resultat_id != null"
        >
       <v-icon>mdi-microscope</v-icon>
      {{ test.pivot.resultat_id == null?'Analyser':'Modifier' }}
      </v-btn>
      </template>
      <v-card>
        <v-card-title class="headline">
          Résultat de {{test.name }}
        </v-card-title>
        <form class="" method="POST"  @submit.prevent="onSubmit()">
          <v-card-text>
            <v-row>
                <v-col cols="12" sm="9">
                    <v-text-field type="number" outlined v-model="form.value" label="Résultat de l'examen"></v-text-field>
                </v-col>
                <v-col cols="12" sm="3">
                  <v-autocomplete outlined
                    v-model="form.unite"
                    :items="unites"
                    item-value="name"
                    item-text="name"
                    label="Unité">
                  </v-autocomplete>
                </v-col>
            </v-row>
          </v-card-text>
          <hr/>
          <v-card-actions>
            <v-btn
              color="green darken-1"
              text
              @click="dialog = false"
            >
              Annuler
            </v-btn>
            <v-btn
              color="green darken-1"
              text
              type="Submit"
            >
              Enregistrer
            </v-btn>
          </v-card-actions>
        </form>
      </v-card>
    </v-dialog>
  </v-row>
</template>

<script>

import Vue from 'vue'
import { mapGetters } from 'vuex'

  export default {
    props: {
      test: Object,
    },

    data () {
      return {
        dialog: false,
        unites_array: [
          { name: 'ml' },
          { name: 'mmol/l' },
          { name: 'mEq/l' },
          {name: 'umol/l' },
          {name: 'mg/l' },
          {name: 'umol/l' },
          {name: 'Ul/l' },
          {name: 'H' },
          {name: 'ml' },
          {name: 'ng/ml' },
          {name: 'pg/ml' }

        ],
        form:{
            value:"",
            unite:"",
            test_id:this.test.pivot.id
        },

      }
    },
    computed: {
       ...mapGetters({initialized:'examens/initialized', exam_types:"params/_exam_types", result_types:"params/_result_types", insurances:"params/_insurances", moreExists:'examens/moreExists',next_page_url:"examens/next_page_url",total:"examens/total"
                           ,current_page:"examens/current_page",items:"examens/_items",loading:"examens/loading",loaded:"examens/loaded",unites:"params/_unites"}),
    },
     methods: {
          onSubmit()
                {
                this.$store.dispatch('numerics/addNumeric',this.form)
                .then((response) =>
                {
                //on informe du succes de la procedure
                flash('Resultat enregistré avec succès')
                //On remonte au sommet de la fenetre
                this.reset()
                window.scrollTo(0,0)
                },
                (error) => {

                });
            },
            stepStatus(step) {
            return this.e6 > step ? 'green' : 'blue'
        },
         reset()
          {
              this.form.value =""
              this.form.unite =""
              this.form.test_id =""
              this.dialog = false
          },
    },
  }
</script>

